Subject: bug#28610: tcsh 6.20.00 testsuite: 68 failed

From: [email-masked] (Ludovic Courtès)
Date: Sun, 01 Oct 2017 23:58:02 +0200

Hello Drashne,

Drashne <[email-masked]> skribis:

> I had set up my guix-daemon startup script to start it as "/usr/bin/nice /usr/bin/ionice -c3 /root/.guix-profile/bin/guix-daemon --build-users-group=guixbuild --no-substitutes" but when troubleshooting this I blindly looked right through the "/usr/bin/nice /usr/bin/ionice -c3" part and just focused on the guix-daemon and its arguments.
>
> After noticing this, I tried running guix-daemon without nicing or ionicing it, and rerunning "guix package -i glibc-locales" which now successfully built and tested tcsh, and is currently continuing to build other packages necessary for the installation of glibc-locales.

Great, thanks for testing!

It’s one of these rare cases where details about the host system leak
into the build environment, and picky test suites immediately notice.

Ludo’.